org.jfree.report.modules.misc.survey

## Class SurveyScaleLegendItem

- java.lang.Object
- - org.jfree.report.modules.misc.survey.SurveyScaleLegendItem

-     public class SurveyScaleLegendItem
      extends java.lang.Object

  A Drawable object that represents a legend item for a `SurveyScale`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SurveyScaleLegendItem()`
    `SurveyScaleLegendItem(java.awt.Shape shape, java.lang.String label, boolean draw, boolean fill)` Creates a new legend item.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D area)` Draws the legend item.
    `java.awt.Font` | `getFont()`
    `java.lang.String` | `getLabel()`
    `java.awt.Shape` | `getShape()`
    `boolean` | `isDraw()`
    `boolean` | `isFill()`
    `void` | `setDraw(boolean draw)`
    `void` | `setFill(boolean fill)`
    `void` | `setFont(java.awt.Font font)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setShape(java.awt.Shape shape)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SurveyScaleLegendItem

          public SurveyScaleLegendItem()

    - #### SurveyScaleLegendItem

          public SurveyScaleLegendItem(java.awt.Shape shape,
                                       java.lang.String label,
                                       boolean draw,
                                       boolean fill)

      Creates a new legend item.
      Parameters:
        `shape` - the shape.
        `label` - the label.
        `draw` - draw the shape?
        `fill` - fill the shape?

  - ### Method Detail

    - #### draw

          public void draw(java.awt.Graphics2D g2,
                           java.awt.geom.Rectangle2D area)

      Draws the legend item.
      Parameters:
        `g2` - the graphic device.
        `area` - the area.

    - #### isDraw

          public boolean isDraw()

    - #### setDraw

          public void setDraw(boolean draw)

    - #### isFill

          public boolean isFill()

    - #### setFill

          public void setFill(boolean fill)

    - #### getFont

          public java.awt.Font getFont()

    - #### setFont

          public void setFont(java.awt.Font font)

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String label)

    - #### getShape

          public java.awt.Shape getShape()

    - #### setShape

          public void setShape(java.awt.Shape shape)